Summary: Programs for accessing MS-DOS disks without mounting the disks.
Name: mtools

%global momorel 1
%global md5sum_src0 0d0eb50a52eaf2e1921e1a61bab09be7
Version: 3.9.10
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://mtools.linux.lu/

%NoSource 0 http://mtools.linux.lu/mtools-%{version}.tar.bz2 %{md5sum_src0}

Patch0: mtools-3.9.6-config.patch
Patch1: mtools-3.9.6-paths.patch
Patch2: mtools-gcc4.patch
Patch3: mtools-3.9.7-bigdisk.patch
Patch4: mtools-3.9.9-noargs.patch
Patch5: mtools-3.9.9-badc.patch
Patch6: mtools-memset.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Prereq: info

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 XDF disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .gcc4
%patch3 -p1 -b .big
%patch4 -p1 -b .noargs
%patch5 -p1 -b .badc
%patch6 -p1 -b .memset

%build
%configure \
  --disable-floppyd \
  --with-x
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_sysconfdir} %{buildroot}/%{_infodir}
%makeinstall
%__install -m 644 mtools.conf %{buildroot}%{_sysconfdir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/mtools.info.* %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mtools.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc COPYING Changelog README* Release.notes
%config %{_sysconfdir}/mtools.conf
%{_bindir}/*
%{_infodir}/*
%{_mandir}/*/*

%changelog
* Sun May 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.9.10-1m)
- update to 3.9.10
- import some patches from FC (patch2,patch4-patch6)

* Mon Jan 12 2004 Kenta MURATA <muraken2@nifty.com>
- (3.9.9-1m)
- version 3.9.9.

* Mon Jan 20 2003 TAKAHASHI Tamotsu
- (3.9.8-5m)
- 20030118 patch

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.9.8-4k)

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (3.9.8-2k)
- version up.

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Trond Eivind Glomsrod <teg@redhat.com>
- specify ownership

* Wed Jun 07 2000 Trond Eivind Glomsr?<teg@redhat.com>
- Version 3.9.7
- use %%{_mandir}, %%{_makeinstall}, %%configure, %%makeinstall
  and %%{_tmppath}

* Wed Feb 09 2000 Cristian Gafton <gafton@redhat.com>
- get rid of mtools.texi as a doc file (we have the info file)
- fix config file so mtools work (#9264)
- fix references to the config file to be /etc/mtools.conf

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- expunge floppyd

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description
- version 3.9.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- patch to make the texi sources compile
- fix the spec file group and description
- fixed floppy drive sizes

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- fixed invalid SAMPLE_FILE configuration file

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.
- Updated Source to 3.9.1.
- Cleaned up spec file.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.8

* Tue Oct 21 1997 Otto Hammersmith
- changed buildroot to /var/tmp, rather than /tmp
- use install-info

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed sysconfdir to be /etc

* Mon Apr 14 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.6
